Etc need updating gentoo

emerge --ask net-dns/bind * IMPORTANT: 3 config files in '/etc/portage' need updating.

* See the CONFIGURATION FILES section of the emerge * man page to learn how to update config files.

etc need updating gentoo-87

A recurring question about the Gentoo release process is: "Why roll out new releases frequently, if they are not intended to let users update software?

" There are various reasons: When a release includes new incompatible features, or provides a set of core packages and settings that deeply modify the behavior of the system, we say that it provides a new profile.

into the dependency graph, resulting in a slot conflict: dev-libs/openssl:0 (dev-libs/openssl-1.0.1g::gentoo, ebuild scheduled for merge) pulled in by =dev-libs/openssl-1.0.0:0[-bindist] required by (net-dns/bind-9.9.4_p2::gentoo, ebuild scheduled for merge) dev-libs/openssl:0[-bindist] required by (net-dns/bind-9.9.4_p2::gentoo, ebuild scheduled for merge) (dev-libs/openssl-1.0.1g::gentoo, installed) pulled in by =dev-libs/openssl-0.9.6d:0[bindist] required by (net-misc/openssh-5.9_p1-r4::gentoo, installed) It may be possible to solve this problem by using to prevent one of those packages from being selected.

However, it is also possible that conflicting dependencies exist such that they are impossible to satisfy simultaneously.

Carefully examine the list of proposed changes, paying special attention to mask or keyword changes that may expose experimental or unstable packages. The following installed packages are masked: - media-libs/mesa-9.0::gentoo (masked by: package.mask) /usr/portage/profiles/package.mask: # Chí-Thanh Christopher Nguyễn [ Legend : U - final flag setting for installation] [ : I - package is installed with flag ] [ Colors : set, unset ] * Found these USE flags for net-dns/bind-9.10.2_p2: U I berkdb : Add support for sys-libs/db (Berkeley DB for My SQL) caps : Use Linux capabilities library to control privilege dlz : Enables dynamic loaded zones, 3rd party extension - - doc : Add extra documentation (API, Javadoc, etc).

It is recommended to enable per package instead of globally - - filter-aaaa : Enable filtering of AAAA records over IPv4 - - fixed-rrset : Enables fixed rrset-order option - - geoip : Add geoip support for country and city lookup based on IPs - - gost : Enables gost Open SSL engine support - - gssapi : Enable gssapi support - - idn : Enable support for Internationalized Domain Names - - ipv6 : Add support for IP version 6 - - json : Enable JSON statistics channel - - ldap : Add LDAP support (Lightweight Directory Access Protocol) - - mysql : Add my SQL Database support - - nslint : Build and install the nslint util - - odbc : Add ODBC Support (Open Data Base Connectivity) - - postgres : Add support for the postgresql database - - python : Add optional support/bindings for the Python language python_targets_python2_7 : Build with Python 2.7 python_targets_python3_3 : Build with Python 3.3 - - python_targets_python3_4 : Build with Python 3.4 - - rpz : Enable response policy rewriting (rpz) - - seccomp : Enable seccomp for system call filtering ssl : Add support for Secure Socket Layer connections - - static-libs : Build static versions of dynamic libraries as well threads : Add threads support for various packages.

1) /etc/(1) Please select a file to edit by entering the corresponding number.

Web OS Goodies へようこそ! Web OS はインターネットの未来形。あらゆる Web サイトが繋がり、共有し、協力して創り上げる、ひとつの巨大な情報システムです。そこでは、あらゆる情報がネットワーク上に蓄積され、我々はいつでも、どこからでも、多彩なデバイスを使ってそれらにアクセスできます。 Web OS Goodies は、さまざまな情報提供やツール開発を通して、そんな世界の実現に少しでも貢献するべく活動していきます。 これは、設定ファイル(主に "/etc" 以下にあるもの)が更新されたため、手動でそれらを現在のファイルにマージする必要があることを示しています。Gentoo Linux では安全性を優先して、設定ファイルの更新はユーザーの判断で行うようになっているのです。手動といっても etc-update という専用のツールが用意されており、対話的に更新が行えるようになっているので、さほど大変ではありません。楽でもありませんが。(^^; それでは、さっそく設定ファイルの更新をやってみましょう。以下のようにして etc-update を起動します。コマンドラインオプションなどはとくにありません。 Scanning Configuration files...

[ebuild U ] sys-kernel/genkernel-3.4.12.6 [3.4.12.1] [ebuild U ] dev-lang/perl-5.12.3 [5.12.2-r6] [ebuild U ] app-misc/mc-4.7.5 [4.7.4-r1] USE="ncurses%*" [ebuild U ] dev-lang/php-5.3.5-r1 [5.3.5] Would you like to merge these packages?

Tags: , ,